| Home | Libraries | People | FAQ | More

## Class template weeks_duration

boost::date_time::weeks_duration — Additional duration type that represents a number of n*7 days.

## Synopsis

    // In header: <boost/date_time/date_duration_types.hpp>

    template<typename duration_config>
    class weeks_duration :
      public boost::date_time::date_duration< duration_config >
    {
    public:
      // construct/copy/destruct
      weeks_duration(typename duration_config::impl_type);
      weeks_duration(special_values);
    };

## Description

### `weeks_duration` public construct/copy/destruct

1.     weeks_duration(typename duration_config::impl_type w);

2.     weeks_duration(special_values sv);